from selenium import webdriver
from selenium.webdriver.common.by import By
from selenium.webdriver.common.keys import Keys
from selenium.webdriver.support.ui import WebDriverWait
from selenium.webdriver.support import expected_conditions as EC
from bs4 import BeautifulSoup
import time

def suche_auf_brewes(suchbegriff, anzahl_ergebnisse=5):
    # WebDriver initialisieren
    driver = webdriver.Edge()

    # URL für die Suche generieren
    search_url = 'https://www.brewes.de/catalogsearch/result?q='

    # Webseite aufrufen und auf das vollständige Laden warten
    driver.get(search_url)
    WebDriverWait(driver, 10).until(EC.presence_of_element_located((By.ID, "search")))

    # Suchbegriff eingeben und Suche starten
    search_box = driver.find_element(By.ID, "search")
    search_box.clear()  # Falls vorheriger Text vorhanden ist
    search_box.send_keys(suchbegriff)
    search_box.send_keys(Keys.RETURN)

    

    # HTML-Inhalt der Suchergebnisse abrufen
    soup = BeautifulSoup(driver.page_source, 'html.parser')

    # Extrahiere die Links aus den Suchergebnissen
    gefundene_links = [a['href'] for a in soup.find_all('a', class_='product-title')][:anzahl_ergebnisse]

    # Ausgabe der gefundenen Links
    if gefundene_links:
        print("Gefundene Links:")
        for link in gefundene_links:
            print(link)
    else:
        print("Keine Ergebnisse gefunden.")

    # Hier können Sie den Browser offen lassen, damit Sie die Ergebnisse sehen können.
    input("Drücken Sie Enter, um den Browser zu schließen...")

    # WebDriver schließen
    driver.quit()

if __name__ == "__main__":
    # Benutzereingabe
    suchbegriff_brewes = input("Nach welchem Produkt suchen Sie auf Brewes? ")

    # Suche nach dem Artikel und erhalte gefundene Links
    suche_auf_brewes(suchbegriff_brewes)
