from selenium import webdriver
from selenium.webdriver.common.keys import Keys
from selenium.webdriver.common.by import By
from selenium.webdriver.support.ui import WebDriverWait
from selenium.webdriver.support import expected_conditions as EC
from bs4 import BeautifulSoup

def suche_auf_contorion(suchbegriff, anzahl_ergebnisse=5):
    # WebDriver initialisieren
    driver = webdriver.Edge()

    # Such-URL generieren
    search_url = f'https://www.contorion.de/suche?q={suchbegriff}'

    # Webseite aufrufen und auf das vollständige Laden warten
    driver.get(search_url)
    WebDriverWait(driver, 10).until(EC.presence_of_element_located((By.ID, "search-input")))

    # Suchbegriff eingeben
    search_box = driver.find_element(By.ID, "search-input")
    search_box.clear()  # Falls vorheriger Text vorhanden ist
    search_box.send_keys(suchbegriff)

    # Enter-Taste drücken
    search_box.send_keys(Keys.RETURN)

    # Auf das Laden der Suchergebnisse warten (falls erforderlich)
    # Hier könnte man zum Beispiel warten, bis ein bestimmtes Element auf der Ergebnisseite erscheint.

    # HTML-Inhalt der Suchergebnisse abrufen
    soup = BeautifulSoup(driver.page_source, 'html.parser')

    # Extrahiere die Links aus den Suchergebnissen
    gefundene_links = [a['href'] for a in soup.find_all('a', class_='c-product-tile__title')]

    # Ausgabe der gefundenen Links
    if gefundene_links:
        print("Gefundene Links:")
        for link in gefundene_links:
            print(link)
    else:
        print("Keine Ergebnisse gefunden.")

    # Endlosschleife, um den Browser offen zu halten
    input("Drücken Sie Enter, um den Browser zu schließen...")

    # WebDriver schließen
    driver.quit()

if __name__ == "__main__":
    # Benutzereingabe
    suchbegriff_contorion = input("Welchen Artikel suchst du bei Contorion? ")

    # Suche nach dem Artikel und erhalte gefundene Links
    suche_auf_contorion(suchbegriff_contorion)
